/**
* 2007-2019 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2019 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*
* Don't forget to prefix your containers with your own identifier
* to avoid any conflicts with others containers.
*/
var $productSuggestClass = $('.product-notification');
var $closeButtonClass = $('.close-notifi');
var duration = $productSuggestClass.data('time') || 0;

if (duration == 0 || duration == '') {
	duration = 2000;
}

var productSuggestCookie = 'cookieSuggest';

$(document).ready(function() {
	SomeonePurchased();
	settingPopup();
});

function settingPopup()
{
	if ($('.leo-setting').length > 0) {
		$('.leo-color').mColorPicker({imageFolder: baseAdminDir + '/img/admin/'});

		$('.leo-button').click(function() {
			if ($(this).hasClass('active')) {
				$(this).removeClass('active');
				$(this).find('.leo-icon').html('settings_applications');
			} else {
				$(this).addClass('active');
				$(this).find('.leo-icon').html('clear');
			}
		});
	}
}

function SomeonePurchased()
{
	if ($.cookie(productSuggestCookie) == 'closed') {
		$productSuggestClass.remove();
	}

	$closeButtonClass.on('click',function() {
		$productSuggestClass.remove();
		$.cookie(productSuggestCookie, 'closed', {expires:1, path:'/'});
	});

	function toggleSomething() {
		if ($productSuggestClass.hasClass('active')) {
			var time = 1;

			if (duration >= 0) {
				time = duration / 2;
			}
			
			setTimeout(function(){ 
    			$productSuggestClass.removeClass('active');
  			}, time);
		} else {
			var arrayProducts = $('.data-product'),
			randomProduct = Math.floor(Math.random() * arrayProducts.length),
			Object = $(arrayProducts[randomProduct]);

			$productSuggestClass.addClass('active');
			$productSuggestClass.find('.product-image').attr('href', Object.data('url')).find('img').attr('src', Object.data('image'));
			$productSuggestClass.find('.product-name').text(Object.data('title')).attr('href', Object.data('url'));

			$productSuggestClass.find('.time-ago').text(Object.data('time'));
			$productSuggestClass.find('.leo-phone').text(Object.data('phone'));
			$productSuggestClass.find('.from-ago').text(Object.data('local'));
		}
	}

	if (duration !== 0) {
		setInterval(toggleSomething, duration);
	}
}