{*
* 2007-2019 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2019 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
<section class="product-notification leo-{if $theme == ''}basic{else}{$theme}{/if}" data-time="{$time}">
	<a href="javascript:void(0)" title="{l s='Close' mod='leopopupsale'}" class="close-notifi" target="_blank">×</a>

	{if !empty($product)}
		{if $type == 1}
			<div class="product-suggest" style="background:{$color}">
				<a class="product-image" href="{$product.url}">
					<img src="{$product.img}" alt="{$product.name}">
				</a>

			    <div class="column-right">
			      	<label>{$product.name}</label>
			      	<a class="product-name" href="{$product.url}">{$product.name}</a>
			      	<div class="time-ago">{l s='Puchare about' mod='leopopupsale'} {rand(1,59)} {l s='minutes ago' mod='leopopupsale'}</div>
			    </div>
			</div>

			<div class="hide">
				{foreach from=$products item=item_p}
					<div
						class="data-product"
						data-id="{$item_p.id_product}"
						data-image="{$item_p.img}"
						data-url="{$item_p.url}"
						data-title="{$item_p.name}"
						data-alt="{$item_p.name}" data-time="{l s='about' mod='leopopupsale'} {rand(1,59)} {l s='minutes ago' mod='leopopupsale'}"
						data-phone=""
						>
					</div>
				{/foreach}
			</div>
		{/if}

		{if $type == 2 || $type == 3}
			<div class="product-suggest" style="background:{$color}">
				<label class="time-ago">
		      		{l s='Puchare By' mod='leopopupsale'}
		      		{$customer.name}
		      		{rand(1,59)} {l s='minutes ago' mod='leopopupsale'}
				</label>
				<div class="product-suggest-content">
					<a class="product-image" href="{$product.url}">
						<img src="{$product.img}" alt="{$product.name}">
					</a>

				    <div class="column-right">
				      	<a class="product-name" href="{$product.url}">{$product.name}</a>
				      	<p class="leo-phone">
				      		{l s='Phone: ' mod='leopopupsale'}{$customer.phone}
				      	</p>
				    </div>
			    </div>
			</div>

			<div class="hide">
				{foreach from=$customers item=customer}
					{foreach from=$products item=item_p}
						<div
							class="data-product"
							data-id="{$item_p.id_product}"
							data-image="{$item_p.img}"
							data-url="{$item_p.url}"
							data-title="{$item_p.name}"
							data-alt="{$item_p.name}" data-time=
								"{l s='Puchare By' mod='leopopupsale'}
								{$customer.name}
			      				{rand(1,59)} {l s='minutes ago' mod='leopopupsale'}
							"
							data-phone="{l s='Phone: ' mod='leopopupsale'}{$customer.phone}"
							>	
						</div>
					{/foreach}
				{/foreach}
			</div>
		{/if}
	{/if}
</section>

{if $position == 1}
	<style type="text/css">
		.product-notification {
			top: 10px;
			left: 10px;
		}
	</style>
{else if $position == 2}
	<style type="text/css">
		.product-notification {
			top: 10px;
			right: 10px;
		}
	</style>
{else if $position == 4}
	<style type="text/css">
		.product-notification {
			bottom: 10px;
			right: 10px;
		}
	</style>
{else}
	<style type="text/css">
		.product-notification {
			bottom: 10px;
			left: 10px;
		}
	</style>
{/if}